# frozen_string_literal: true

class DeleteDocInGedJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :z_ged
  
  def perform(required_document_id, ged_doc_id)
    delete_other_job(
      'z_ged',
      'DeleteDocInGedJob',
      required_document_id,
      ged_doc_id
    )
    
    if required_document = Hermes::RequiredDocument.find_by(id: required_document_id)
      required_document.delete_to_ged(ged_doc_id)
    end
  end
end
