# frozen_string_literal: true

class GetLastXmlFromSneJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :get_last_xml_from_sne
  
  def perform(housing_request_id)
    delete_other_job(
      'get_last_xml_from_sne',
      'GetLastXmlFromSneJob',
      housing_request_id
    )
    
    if housing_request_id && housing_request = Hermes::HousingRequest.find_by(id: housing_request_id)
      housing_request.get_last_xml_from_sne()
      housing_request.save
    end
  end
end
