
module Hermes
  module Concerns
    module DeletableJobConcern
      extend ActiveSupport::Concern
      included do
        def delete_other_job(queue_name, job_class , *queue_args)
          return delete_other_job_test_env(queue_name, job_class , *queue_args) if Rails.env.test?

          jobs = Resque.data_store.peek_in_queue(queue_name, 0, 500_000);
          deleted_count = 0
          jobs.each do |job|
            decoded_job = Resque.decode(job)
            if global_args=decoded_job['args'].first
              if global_args['job_class'] == job_class
                if arguments=global_args['arguments']
                  if arguments == queue_args
                    deleted_count += 1
                    Resque.data_store.remove_from_queue(queue_name, job)
                  end
                end
              end
            end
          end
          Rails.logger.info "Deleted #{deleted_count} on #{queue_name} with args: #{queue_args}"
          deleted_count
        end

        def delete_other_job_test_env(queue_name, job_class , *queue_args)
          Resque.enqueued_jobs = Resque.enqueued_jobs.select do |job|
            job[:job] != job_class && job[:args] != queue_args && job[:queue] != queue_name
          end
        end
      end
    end
  end
end




