# frozen_string_literal: true

class SaveSopraLogJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :xsopraloglow
  
  def perform(classname, id, xml_sopra_error_ids)
    delete_other_job(
      'xsopraloglow',
      'SaveSopraLogJob',
      classname,
      id,
      xml_sopra_error_ids
    )
    instance = classname.constantize.find(id)
    instance.set(xml_sopra_error_ids: JSON.parse(xml_sopra_error_ids), last_send_has_error: true, updated_at: DateTime.current)
  end
end
