# frozen_string_literal: true

class UnpublishHousingOfferJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :unpubholow

  def perform(offer_id)
    delete_other_job(
      'unpubholow',
      'UnpublishHousingOfferJob',
      offer_id
    )

    offer = Hermes::HousingOffer.find_by(id: offer_id)
    if offer && offer.published? && offer.publication_end_date >= Time.zone.now.beginning_of_day
      offer.set(offer_status: 'COMMERCIALISATION NON PUBLIEE', published: false)
    end
  end
end
