# frozen_string_literal: true

class UpdateOfferEligibleNbJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :x_hermes_eligibility

  def perform(offer_id)
    # kill other pending jobs
    delete_other_job('x_hermes_eligibility', 'UpdateOfferEligibleNbJob', offer_id)
    if offer = Hermes::HousingOffer.find_by(id: offer_id)
      offer.calculate_eligible_requests_nb!
    end
  end
end
