# frozen_string_literal: true

class UpdateTargetObjectivesJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :utobjlow
  
  def perform(lessor_id)
    delete_other_job(
      'utobjlow',
      'UpdateTargetObjectivesJob',
      lessor_id
    )
    
    lessor = Hermes::Lessor.find(lessor_id)
    lessor.update_target_objectives_on_offers
  end
end
