# frozen_string_literal: true

class UpdateThresholdOffersJob < ActiveJob::Base
  include Hermes::Concerns::DeletableJobConcern

  queue_as :x_hermes_eligibility

  def perform(id)
    # kill other pending jobs
    delete_other_job('x_hermes_eligibility', 'UpdateThresholdOffersJob', id)
    
    if threshold = Hermes::Threshold.find_by(id: id)
      threshold.housing_offers.each do |offer|
        threshold.set_offer_thresholds(offer)
        offer.save
      end
    end
  end
end
