class DummyCreateable
  include Mongoid::Document
  include Mongoid::Timestamps

  field :title, type: String
end

class DummyDeleteableJob < ActiveJob::Base
  include ::Hermes::Concerns::DeletableJobConcern 
  queue_as :queue

  def perform(*args)
    delete_other_job('queue', self.class.name, args)
    DummyCreateable.create(title: args.first)
    'Finished'
  end
end

FactoryBot.define do
  factory :dummy_deleteable_job, class: DummyDeleteableJob do
    initialize_with { DummyDeleteableJob }
  end
end

FactoryBot.define do
  factory :dummy_createable, class: DummyCreateable do
    title { nil }
  end
end
